ERRLOOK Overview

The ERRLOOK utility retrieves a system error message, a module error message or a custom error message based on the value entered. You can enter a value either by typing it in or pasting it from the Clipboard and clicking Look Up. The accelerator keys for Copy (Ctrl+C), Cut (Ctrl+X) and Paste (Ctrl+V) work for both the Value and Error Message boxes if you first highlight the text.


Installation

You do not need to install this program: just put the supplied files into any folder of your choice.

To use from within Delphi or C++Builder, add an item to the Tools menu that points to the program.

To uninstall, just delete the supplied files.

In addition to the files, ERRLOOK stores it's settings in the registry under the key HKEY_CURRENT_USER\Software\JVCL\ErrLook and you might want to delete this subkey if you do not plan on using it anymore. Use the regedit.exe utility in Windows to delete the registry key(s) used by ERRLOOK.


Value

Type in a value or paste it from the Clipboard. Enter the value in hexadecimal or decimal form, then click Look Up. You can also use the up/down keys to scroll the current value in the edit field if it is in decimal form.

Hexadecimal values should be preceded by 0x or $, and valid characters are 0-9, A-F, and a-f.

Decimal values may be preceded by the minus sign (-), and valid characters are 0-9.

You can also type in letters (for defined constants) but then the search will only be performed on the errors.ini file.


Error Message

The Error Message box contains the text of the system error message, module error message or the custom message found in the errors.ini file based on the value entered.


Look Up

Click Look Up to retrieve the error message that corresponds to the system or module value entered.

Values can be entered in hexadecimal or decimal form (including negative decimal values). Modules listed in the Additional Modules for Error Searching dialog are also searched as well as items in the errors.ini file (if present).


Modules

Click the Modules button to bring up the Additional Modules for Error Searching dialog. Type in the name of the desired .EXE or .DLL in the edit box or click the ellipsis button to select a file and click Add to include the modules in your error message search.

Remove a module from the list by highlighting it and clicking the Remove button.


The errors.ini file

In addition to retrieving system and module error messages, ERRLOOK can also display custom error messages from an ini file. The file must be named errors.ini and be located in the same folder as the program.

The file should have one section for each category of error messages. Each item within a section should have the error value to the left, an equal sign and the error text to the right of the equal sign. Each error record must be on a single line(i.e no line breaks).

Example:

[DOS Extended Error]
0x01=function number invalid
$01=function number invalid
1=function number invalid

Note that in contrast to the lookup for system and module errors, the search in errors.ini is done on the exact value entered into the value edit field: entering the value "1" would find the third item in the list above, but not the first or second. To find the first item, you should enter the value "0x01" and to find the second item, you should enter the value "$1". All values should be entered without quotes.

Because of the way that ERRLOOK searches errors.ini, you should include one definition of each error message in every format you think will be used. You can also include defined constants in the list. For example, you could expand the above list to look like the list below to be able to find the error message for the defined constant ERROR_INVALID_FUNCTION:

[DOS Extended Error]
0x01=function number invalid
$01=function number invalid
1=function number invalid
ERROR_INVALID_FUNCTION=function number invalid

When an item from the errors.ini list has been found, the category name is displayed as the header for the error message.

The system and module errors also have headers. A system error has the header "Windows Error". A module error has the filename of the module as the header.

Note that if several categories contain the same error code value, they will all be displayed in the message window, each preceeded by their category header.